package com.kingdee.eas.custom.beisen.synchronouspos;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SyncStaffOrgPosFacadeFactory
{
    private SyncStaffOrgPosFacadeFactory()
    {
    }
    public static ISyncStaffOrgPosFacade getRemoteInstance() throws BOSException
    {
        return (ISyncStaffOrgPosFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("C16E2DAC") , ISyncStaffOrgPosFacade.class);
    }
    
    public static ISyncStaffOrgPosFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (ISyncStaffOrgPosFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("C16E2DAC") , ISyncStaffOrgPosFacade.class, objectCtx);
    }
    public static ISyncStaffOrgPosFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (ISyncStaffOrgPosFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("C16E2DAC"));
    }
    public static ISyncStaffOrgPosFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (ISyncStaffOrgPosFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("C16E2DAC"));
    }
}